FlxpointAPI Help CenterBeta

Get Shipments

gethttps://api.flxpoint.com/shipments

Use this when you want to pull shipment data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

This endpoint will list shipments. The returned shipments will always be sorted by their `insertedAt` time ascending (oldest first).

Request

Query parameters
  • findByOrderIdqueryinteger

    ID of order, use this to retrieve shipments of a specific order

  • findByPurchaseOrderIdqueryinteger

    ID of purchase order, use this to retrieve shipments of a specific purchase order

  • filterCreatedAfterquerystring (date-time)

    Filter to only include shipments created after a specific date-time

  • filterPageNumberqueryinteger

    Current Page

  • filterPageSizequeryinteger

    Number of entries per page

  • filterUpdatedAfterquerystring (date-time)

    Filter to only include shipments updated after a specific date-time

Example request

get/shipments
curl -X GET "https://api.flxpoint.com/shipments" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[Shipment]
idinteger
notestring
trackingUrlstring
trackingNumberstring
carrierstring
methodstring
shippedAtstring (date-time)
insertedAtstring (date-time)
shippingCostnumber
orderIdinteger
purchaseOrderIdinteger
fulfillmentRequestIdinteger
rmaIdinteger
sourceIdinteger
accountIdinteger
partialboolean
suppressedboolean
syncedToChannelboolean
syncErrorstring
crossDockPurchaseOrderIdinteger
shipmentItemsarray[ShipmentItem]
idinteger
skustring
quantityinteger
shipmentIdinteger
inventoryVariantIdinteger (int64)
partialboolean
orderItemIdinteger
purchaseOrderItemIdinteger
this field will soon be deprecated, please start using `fulfillmentRequestItemId` instead. there are basically the same thing, just there has been a terminology change.
fulfillmentRequestItemIdinteger
committedStockReleasedQuantityinteger
rmaItemIdinteger
customFieldsarray[ShipmentCustomField]
idinteger
namestring
valuestring
customFieldsarray[ShipmentCustomField]
idinteger
namestring
valuestring
updatedAtstring (date-time)
accountingSyncedboolean
Example response
[
  {
    "id": 0,
    "note": "string",
    "trackingUrl": "string",
    "trackingNumber": "string",
    "carrier": "string",
    "method": "string",
    "shippedAt": "2026-04-20T00:00:00Z",
    "insertedAt": "2026-04-20T00:00:00Z",
    "shippingCost": 0,
    "orderId": 0,
    "purchaseOrderId": 0,
    "fulfillmentRequestId": 0,
    "rmaId": 0,
    "sourceId": 0,
    "accountId": 0,
    "partial": true,
    "suppressed": true,
    "syncedToChannel": true,
    "syncError": "string",
    "crossDockPurchaseOrderId": 0,
    "shipmentItems": [
      {
        "id": 0,
        "sku": "string",
        "quantity": 0,
        "shipmentId": 0,
        "inventoryVariantId": 0,
        "partial": true,
        "orderItemId": 0,
        "purchaseOrderItemId": 0,
        "fulfillmentRequestItemId": 0,
        "committedStockReleasedQuantity": 0,
        "rmaItemId": 0,
        "customFields": [
          null
        ]
      }
    ],
    "customFields": [
      {
        "id": 0,
        "name": "string",
        "value": "string"
      }
    ],
    "updatedAt": "2026-04-20T00:00:00Z",
    "accountingSynced": true
  }
]
400Bad Request

No schema documented for this status.

401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Shipments",
    "description": "This endpoint will list shipments. The returned shipments will always be sorted by their `insertedAt` time ascending (oldest first).",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "findByOrderId",
        "description": "ID of order, use this to retrieve shipments of a specific order"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "findByPurchaseOrderId",
        "description": "ID of purchase order, use this to retrieve shipments of a specific purchase order"
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time",
          "example": "2020-10-14T16:05:00.000Z"
        },
        "in": "query",
        "name": "filterCreatedAfter",
        "description": "Filter to only include shipments created after a specific date-time"
      },
      {
        "schema": {
          "type": "integer",
          "default": 1
        },
        "in": "query",
        "name": "filterPageNumber",
        "description": "Current Page"
      },
      {
        "schema": {
          "type": "integer",
          "default": 20,
          "minimum": 1,
          "maximum": 100
        },
        "in": "query",
        "name": "filterPageSize",
        "description": "Number of entries per page"
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time",
          "example": "2020-10-14T16:05:00.000Z"
        },
        "in": "query",
        "name": "filterUpdatedAfter",
        "description": "Filter to only include shipments updated after a specific date-time"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/Shipment"
              }
            }
          }
        }
      },
      "400": {
        "description": "Bad Request"
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight